using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
	class ColliderDebug : MonoBehaviour
    {
        void Update()
        {
            foreach (Collider2D coller in gameObject.GetComponents<Collider2D>())
            {
                ModAPI.Draw.Collider(coller); //Instance.AddComponent<ColliderDebug>(); (add this to instances)
            }
        }
    }
    public class Mod
    {
        public static void Main()
        {				
		  CategoryBuilder.Create("Administrative Results", "Administrative Results", ModAPI.LoadSprite("category icon.png"));
		    //READ README.TXT
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Administrative Results (Bush Camo)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The man, the myth, the legend",
                    CategoryOverride = ModAPI.FindCategory("Administrative Results"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Admin Results 3.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Administrative Results (Bush Camo Retrowave)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The man, the myth, the legend",
                    CategoryOverride = ModAPI.FindCategory("Administrative Results"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Icon1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Admin Results 1.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Administrative Results (Grey Jacket)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The man, the myth, the legend",
                    CategoryOverride = ModAPI.FindCategory("Administrative Results"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Icon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Admin Results 2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Administrative Results (Retrowave Shorts)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The man, the myth, the legend",
                    CategoryOverride = ModAPI.FindCategory("Administrative Results"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Admin Results 4.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
			ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Car-15",
                 DescriptionOverride = "The mans most infamous Gun",
                 CategoryOverride = ModAPI.FindCategory("Administrative Results"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/CarIcon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 11f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Car 15.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.550f, 0.1000f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/Car-15.mp3"),
                     };
                 }
             }
             ); ;
        } 
    }
}